ru.bitel.bgbilling.modules.inet.access.sa.event

## Class InetSaConnectionCloseEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.PartitionedQueueEvent
      - - ru.bitel.bgbilling.modules.inet.access.sa.event.InetSaConnectionCloseEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InetSaConnectionCloseEvent
      extends PartitionedQueueEvent

  Задание на закрытие соединения (ServiceActivator.connectionClose).
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InetSaConnectionCloseEvent()`
    `` | `InetSaConnectionCloseEvent(int moduleId, int userId, InetConnection connection)`
    `` | `InetSaConnectionCloseEvent(int moduleId, int contractId, int userId, int deviceId, int inetServId, InetConnection connection)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetConnection` | `getConnection()`
    `int` | `getDeviceId()`
    `int` | `getInetServId()`
    `protected java.lang.String` | `getPackageName()`
    `protected int` | `getPartitionValue()`
    `protected void` | `prepareMessage(javax.jms.Message message)`
    `ServiceActivatorEvent` | `toSaEvent(ru.bitel.bgbilling.modules.inet.access.Access access, ConnectionSet connectionSet, boolean manageConnections, ru.bitel.bgbilling.modules.inet.access.InetConnectionManager connectionManager, java.util.Date now)`
    `protected void` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.PartitionedQueueEvent

      `getDestination, getDestinationMask`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetSaConnectionCloseEvent

          protected InetSaConnectionCloseEvent()

    - #### InetSaConnectionCloseEvent

          public InetSaConnectionCloseEvent(int moduleId,
                                            int userId,
                                            InetConnection connection)

    - #### InetSaConnectionCloseEvent

          public InetSaConnectionCloseEvent(int moduleId,
                                            int contractId,
                                            int userId,
                                            int deviceId,
                                            int inetServId,
                                            InetConnection connection)

  - ### Method Detail

    - #### prepareMessage

          protected void prepareMessage(javax.jms.Message message)
                                 throws javax.jms.JMSException

      Overrides:
        `prepareMessage` in class `Event`
      Throws:
        `javax.jms.JMSException`

    - #### getDeviceId

          public int getDeviceId()

    - #### getInetServId

          public int getInetServId()

    - #### getConnection

          public InetConnection getConnection()

    - #### toString

          protected void toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `Event`

    - #### toSaEvent

          public ServiceActivatorEvent toSaEvent(ru.bitel.bgbilling.modules.inet.access.Access access,
                                                 ConnectionSet connectionSet,
                                                 boolean manageConnections,
                                                 ru.bitel.bgbilling.modules.inet.access.InetConnectionManager connectionManager,
                                                 java.util.Date now)
                                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getPackageName

          protected java.lang.String getPackageName()

      Specified by:
        `getPackageName` in class `PartitionedQueueEvent`

    - #### getPartitionValue

          protected int getPartitionValue()

      Specified by:
        `getPartitionValue` in class `PartitionedQueueEvent`